apiVersion: argoproj.io/v1alpha1
kind: Application
metadata:
  name: probers
spec:
  destination:
    name: ''
    namespace: probers
    server: 'https://kubernetes.default.svc'
  source:
    helm:
      valueFiles:
      - values-{{ .Values.environment }}.yaml
    path: k8s/probers
    repoURL: 'git@bitbucket.org:jamkazam/video-iac.git'
    targetRevision: {{ .Values.gitBranch }}
  project: default
  syncPolicy:
    syncOptions:
      - CreateNamespace=true
    automated:
      prune: true
      selfHeal: true
